PropertyModel (Groovy 3.0.9)

Package groovy.model

## Class PropertyModel

- java.lang.Object
- - groovy.model.PropertyModel

- All Implemented Interfaces:
    `NestedValueModel`, `ValueModel`

      @Deprecated
      public class PropertyModel
      extends Object
      implements ValueModel, NestedValueModel

  Deprecated.
  Represents a property of a value as a model.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PropertyModel​(ValueModel sourceModel, String property)` | Deprecated.
    `PropertyModel​(ValueModel sourceModel, String property, Class type)` | Deprecated.
    `PropertyModel​(ValueModel sourceModel, String property, Class type, boolean editable)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getProperty()` | Deprecated.
    `ValueModel` | `getSourceModel()` | Deprecated.
    `Class` | `getType()` | Deprecated.
    `Object` | `getValue()` | Deprecated.
    `boolean` | `isEditable()` | Deprecated.
    `void` | `setValue​(Object value)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyModel

          public PropertyModel​(ValueModel sourceModel,
                               String property)

      Deprecated.

    - #### PropertyModel

          public PropertyModel​(ValueModel sourceModel,
                               String property,
                               Class type)

      Deprecated.

    - #### PropertyModel

          public PropertyModel​(ValueModel sourceModel,
                               String property,
                               Class type,
                               boolean editable)

      Deprecated.

  - ### Method Detail

    - #### getProperty

          public String getProperty()

      Deprecated.

    - #### getSourceModel

          public ValueModel getSourceModel()

      Deprecated.
      Specified by:
        `getSourceModel` in interface `NestedValueModel`

    - #### getValue

          public Object getValue()

      Deprecated.
      Specified by:
        `getValue` in interface `ValueModel`

    - #### setValue

          public void setValue​(Object value)

      Deprecated.
      Specified by:
        `setValue` in interface `ValueModel`

    - #### getType

          public Class getType()

      Deprecated.
      Specified by:
        `getType` in interface `ValueModel`

    - #### isEditable

          public boolean isEditable()

      Deprecated.
      Specified by:
        `isEditable` in interface `ValueModel`